package textures.player;

import java.awt.image.BufferedImage;

import _texture.loader.Textures;
import utils.Utils;

/*  ------------- Nihilne ------------
    * Created by Mitch Weaver - 4016 *
      ~~~~ All Rights Reserved ~~~~ */

public class PlayerWalkTextures {

	public static void getTextures(BufferedImage image) {
		/*** SOUTH WALK ***/
		Textures.playerSheet[32] = Utils.grabSprite(image, 5, 1, 40, 72);
		Textures.playerSheet[33] = Utils.grabSprite(image, 6, 1, 40, 72);
		Textures.playerSheet[34] = Utils.grabSprite(image, 7, 1, 40, 72);
		Textures.playerSheet[35] = Utils.grabSprite(image, 8, 1, 40, 72);
		Textures.playerSheet[36] = Utils.grabSprite(image, 9, 1, 40, 72);
		Textures.playerSheet[37] = Utils.grabSprite(image, 10, 1, 40, 72);

		/*** NORTH WALK ***/
		Textures.playerSheet[38] = Utils.grabSprite(image, 5, 2, 40, 72);
		Textures.playerSheet[39] = Utils.grabSprite(image, 6, 2, 40, 72);
		Textures.playerSheet[40] = Utils.grabSprite(image, 7, 2, 40, 72);
		Textures.playerSheet[41] = Utils.grabSprite(image, 8, 2, 40, 72);
		Textures.playerSheet[42] = Utils.grabSprite(image, 9, 2, 40, 72);
		Textures.playerSheet[43] = Utils.grabSprite(image, 10, 2, 40, 72);

		/*** WEST WALK ***/
		Textures.playerSheet[44] = Utils.grabSprite(image, 5, 3, 40, 72);
		Textures.playerSheet[45] = Utils.grabSprite(image, 6, 3, 40, 72);
		Textures.playerSheet[46] = Utils.grabSprite(image, 7, 3, 40, 72);
		Textures.playerSheet[47] = Utils.grabSprite(image, 8, 3, 40, 72);
		Textures.playerSheet[48] = Utils.grabSprite(image, 9, 3, 40, 72);
		Textures.playerSheet[49] = Utils.grabSprite(image, 10, 3, 40, 72);

		/*** EAST WALK ***/
		Textures.playerSheet[50] = Utils.reverseImage(Utils.grabSprite(image, 5, 3, 40, 72));
		Textures.playerSheet[51] = Utils.reverseImage(Utils.grabSprite(image, 6, 3, 40, 72));
		Textures.playerSheet[52] = Utils.reverseImage(Utils.grabSprite(image, 7, 3, 40, 72));
		Textures.playerSheet[53] = Utils.reverseImage(Utils.grabSprite(image, 8, 3, 40, 72));
		Textures.playerSheet[54] = Utils.reverseImage(Utils.grabSprite(image, 9, 3, 40, 72));
		Textures.playerSheet[55] = Utils.reverseImage(Utils.grabSprite(image, 10, 3, 40, 72));

		/*** NORTHWEST WALK ***/
		Textures.playerSheet[56] = Utils.grabSprite(image, 5, 4, 40, 72);
		Textures.playerSheet[57] = Utils.grabSprite(image, 6, 4, 40, 72);
		Textures.playerSheet[58] = Utils.grabSprite(image, 7, 4, 40, 72);
		Textures.playerSheet[59] = Utils.grabSprite(image, 8, 4, 40, 72);
		Textures.playerSheet[60] = Utils.grabSprite(image, 9, 4, 40, 72);
		Textures.playerSheet[61] = Utils.grabSprite(image, 10, 4, 40, 72);

		/*** NORTHEAST WALK ***/
		Textures.playerSheet[62] = Utils.reverseImage(Utils.grabSprite(image, 5, 4, 40, 72));
		Textures.playerSheet[63] = Utils.reverseImage(Utils.grabSprite(image, 6, 4, 40, 72));
		Textures.playerSheet[64] = Utils.reverseImage(Utils.grabSprite(image, 7, 4, 40, 72));
		Textures.playerSheet[65] = Utils.reverseImage(Utils.grabSprite(image, 8, 4, 40, 72));
		Textures.playerSheet[66] = Utils.reverseImage(Utils.grabSprite(image, 9, 4, 40, 72));
		Textures.playerSheet[67] = Utils.reverseImage(Utils.grabSprite(image, 10, 4, 40, 72));

		/*** SOUTHWEST WALK ***/
		Textures.playerSheet[68] = Utils.grabSprite(image, 5, 5, 40, 72);
		Textures.playerSheet[69] = Utils.grabSprite(image, 6, 5, 40, 72);
		Textures.playerSheet[70] = Utils.grabSprite(image, 7, 5, 40, 72);
		Textures.playerSheet[71] = Utils.grabSprite(image, 8, 5, 40, 72);
		Textures.playerSheet[72] = Utils.grabSprite(image, 9, 5, 40, 72);
		Textures.playerSheet[73] = Utils.grabSprite(image, 10, 5, 40, 72);

		/*** SOUTHEAST WALK ***/
		Textures.playerSheet[74] = Utils.reverseImage(Utils.grabSprite(image, 5, 5, 40, 72));
		Textures.playerSheet[75] = Utils.reverseImage(Utils.grabSprite(image, 6, 5, 40, 72));
		Textures.playerSheet[76] = Utils.reverseImage(Utils.grabSprite(image, 7, 5, 40, 72));
		Textures.playerSheet[77] = Utils.reverseImage(Utils.grabSprite(image, 8, 5, 40, 72));
		Textures.playerSheet[78] = Utils.reverseImage(Utils.grabSprite(image, 9, 5, 40, 72));
		Textures.playerSheet[79] = Utils.reverseImage(Utils.grabSprite(image, 10, 5, 40, 72));
	}
}
